com.corticon.rulesemf.viewtestmodel.ruletest.tabfolder

## Interface TabfolderPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface TabfolderPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `TabfolderFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TabfolderPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `static TabfolderPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `TEST_TAB` The meta object id for the '`Test Tab`' class
    `static int` | `TEST_TAB__NAME` The feature id for the 'Name' attribute
    `static int` | `TEST_TAB__VALID` The feature id for the 'Valid' attribute
    `static int` | `TEST_TAB_FEATURE_COUNT` The number of structural features of the 'Test Tab' class
    `static int` | `TEST_TAB_FOLDER` The meta object id for the '`Test Tab Folder`' class
    `static int` | `TEST_TAB_FOLDER__RULE_TEST` The feature id for the 'Rule Test' reference
    `static int` | `TEST_TAB_FOLDER__TEST_TAB_LIST` The feature id for the 'Test Tab List' containment reference list
    `static int` | `TEST_TAB_FOLDER_FEATURE_COUNT` The number of structural features of the 'Test Tab Folder' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TabfolderFactory` | `getTabfolderFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EAttribute` | `getTestTab_Name()` Returns the meta object for the attribute '`Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getTestTab_Valid()` Returns the meta object for the attribute '`Valid`'
    `org.eclipse.emf.ecore.EClass` | `getTestTab()` Returns the meta object for class '`Test Tab`'
    `org.eclipse.emf.ecore.EReference` | `getTestTabFolder_RuleTest()` Returns the meta object for the reference '`Rule Test`'
    `org.eclipse.emf.ecore.EReference` | `getTestTabFolder_TestTabList()` Returns the meta object for the containment reference list '`Test Tab List`'
    `org.eclipse.emf.ecore.EClass` | `getTestTabFolder()` Returns the meta object for class '`Test Tab Folder`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final TabfolderPackage eINSTANCE

      The singleton instance of the package.

    - #### TEST_TAB_FOLDER

          static final int TEST_TAB_FOLDER

      The meta object id for the '`Test Tab Folder`' class.
      See Also:
        `TestTabFolderImpl`, `TabfolderPackageImpl.getTestTabFolder()`, Constant Field Values

    - #### TEST_TAB_FOLDER__TEST_TAB_LIST

          static final int TEST_TAB_FOLDER__TEST_TAB_LIST

      The feature id for the 'Test Tab List' containment reference list.
      See Also:
        Constant Field Values

    - #### TEST_TAB_FOLDER__RULE_TEST

          static final int TEST_TAB_FOLDER__RULE_TEST

      The feature id for the 'Rule Test' reference.
      See Also:
        Constant Field Values

    - #### TEST_TAB_FOLDER_FEATURE_COUNT

          static final int TEST_TAB_FOLDER_FEATURE_COUNT

      The number of structural features of the 'Test Tab Folder' class.
      See Also:
        Constant Field Values

    - #### TEST_TAB

          static final int TEST_TAB

      The meta object id for the '`Test Tab`' class.
      See Also:
        `TestTabImpl`, `TabfolderPackageImpl.getTestTab()`, Constant Field Values

    - #### TEST_TAB__NAME

          static final int TEST_TAB__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TAB__VALID

          static final int TEST_TAB__VALID

      The feature id for the 'Valid' attribute.
      See Also:
        Constant Field Values

    - #### TEST_TAB_FEATURE_COUNT

          static final int TEST_TAB_FEATURE_COUNT

      The number of structural features of the 'Test Tab' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTestTabFolder

          org.eclipse.emf.ecore.EClass getTestTabFolder()

      Returns the meta object for class '`Test Tab Folder`'.
      Returns:
        the meta object for class 'Test Tab Folder'.
      See Also:
        `TestTabFolder`

    - #### getTestTabFolder_TestTabList

          org.eclipse.emf.ecore.EReference getTestTabFolder_TestTabList()

      Returns the meta object for the containment reference list '`Test Tab List`'.
      Returns:
        the meta object for the containment reference list 'Test Tab List'.
      See Also:
        `TestTabFolder.getTestTabList()`, `getTestTabFolder()`

    - #### getTestTabFolder_RuleTest

          org.eclipse.emf.ecore.EReference getTestTabFolder_RuleTest()

      Returns the meta object for the reference '`Rule Test`'.
      Returns:
        the meta object for the reference 'Rule Test'.
      See Also:
        `TestTabFolder.getRuleTest()`, `getTestTabFolder()`

    - #### getTestTab

          org.eclipse.emf.ecore.EClass getTestTab()

      Returns the meta object for class '`Test Tab`'.
      Returns:
        the meta object for class 'Test Tab'.
      See Also:
        `TestTab`

    - #### getTestTab_Name

          org.eclipse.emf.ecore.EAttribute getTestTab_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `TestTab.getName()`, `getTestTab()`

    - #### getTestTab_Valid

          org.eclipse.emf.ecore.EAttribute getTestTab_Valid()

      Returns the meta object for the attribute '`Valid`'.
      Returns:
        the meta object for the attribute 'Valid'.
      See Also:
        `TestTab.isValid()`, `getTestTab()`

    - #### getTabfolderFactory

          TabfolderFactory getTabfolderFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.